Subject: Re: Using SMC on MPC8272 based board

From: Vitaly Bordug <[email-masked]>
Date: Wed, 09 Nov 2005 16:12:35 +0300

Mike Rapoport wrote:
> I have a custom board based on MPC8272 and I don't succeed to enable SMC 
> serial port. I'm running Linux 2.6.12.3 with CPM serial drivers from 
> 2.6.13.2.
> When I configure the kernel to use one or two SCCs, with or without 
> serial console everything works fine. But if I configure the kernel to 
> support SMC serial port, I see nothing at the SMC port.
> I've noticed that SMC1 pins are configured at port D (as in MPC8260), 
> but MPC8272 has the SMC1 on the port C. I've changed the pins assignment 
> to use the port C pins, but it didn't help.
> When I enable support for serial console on SCC/SMC port, the system 
> hangs when the SMC is enabled.
> When I don't enable support for serial console on SCC/SMC port, the 
> system boots OK, but there's nothing on the SMC port.
> 

That is because (at least if you use "pure" 8272) the board does have 
SCC1 and SCC4 for UART0 and UART1 respectively. SMC could not be used as 
serial port on this board.

-- 
Sincerely,
Vitaly